> For the complete documentation index, see [llms.txt](https://docs.wanchain.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wanchain.org/developers/wanbridge-api/1.-information-retrieval/1.1-supported-chains-and-tokens.md).

# 1.1 Supported Chains and Tokens

This section provides APIs to query the chains and tokens currently supported by the Wanchain Bridge.

There are two primary endpoints:

* `tokenPairs`
* `tokenPairsHash`

The `tokenPairs` endpoint returns detailed information about all supported chains and cross-chain tokens. Since this response can be large, it is recommended to first retrieve `tokenPairsHash` and compare it with the previously stored value. If there is no change, the locally cached data can be used to avoid unnecessary network requests each time.

**tokenPairs Endpoint**

**URL:**

[`https://bridge-api.wanchain.org/api/tokenPairs`](https://bridge-api.wanchain.org/api/tokenPairs)

**Response Example:**

```json
{
  "success": true,
  "data": [
    {
      "tokenPairID": "453",
			"symbol": "USDC",
      "fromChain": {
        "chainId": "0xa4b1",
        "slip44ChainID": "0x40000002",
        "chainType": "ARETH",
        "chainName": "Arbitrum"
      },
      "toChain": {
        "chainId": "0x38",
        "slip44ChainID": "0x800002ca",
        "chainType": "BNB",
        "chainName": "BNB Chain"
      },
      "fromToken": {
        "address": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",
        "name": "USD Coin",
        "symbol": "USDC",
        "decimals": "6"
      },
      "toToken": {
        "address": "0x8ac76a51cc950d9822d68b83fe1ad97b32cd580d",
        "name": "USD Coin",
        "symbol": "USDC",
        "decimals": "18"
      }
    },
	  ...
  ]
}
```

As shown above, the returned data is an array containing all supported cross-chain token pairs on Wanchain, totaling over 300 items. You can apply local filtering based on your requirements before using the data. For instance, you can filter by `fromToken` and `toToken` addresses.

It is important to note that the `tokenPairs` data is bidirectional, meaning you do not need to consider the direction of `from` and `to`—as long as the chain and token addresses match, the pair is valid.

**tokenPairsHash Endpoint**

**URL:**

<https://bridge-api.wanchain.org/api/tokenPairsHash>

**Response Example:**

```json
{
  "success": true,
  "data": "39736194f3b3ecedb401fdfa6e4410b0"
}
```

This endpoint is used to check whether the tokenPairs data has changed before fetching the full dataset from the `tokenPairs` endpoint.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wanchain.org/developers/wanbridge-api/1.-information-retrieval/1.1-supported-chains-and-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
